;+
; NAME:
;     SXT_COMPLETE_IMAGE
; PURPOSE:
;     survey a list of files to check for image completeness
; CATEGORY:
;     Yohkoh SXT
; CALLING SEQUENCE:
;     sxt_complete_image, infil
; INPUTS:
;     infil, a list of SFR files
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
; OUTPUTS:
; COMMON BLOCKS:
; SIDE EFFECTS:
;     prints results to screen
; RESTRICTIONS:
; MODIFICATION HISTORY:
;     28-Feb-99, written by HSH
;-
pro sxt_complete_image, infil
n_file = n_elements(infil)
whole = intarr(n_file)
partial = intarr(n_file)
print,' '
print,'Summary of image completeness'
print,' '
print,'File ID              complete  partial'
for i = 0,n_file-1 do begin
  rd_roadmap,infil(i),rm
  ss = where(gt_percentd(rm) eq 100, dum)
  whole(i) = dum
  ss = where(gt_percentd(rm) ne 100, dum)
  partial(i) = dum
  print,strmid(infil(i),26,15),' ', whole(i),'  ', partial(i)
endfor
end
